ruby-guard_2.15.0-3_all.deb


Advertisement

Description

ruby-guard - Commandline to easily handle events on file system modifications

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename ruby-guard_2.15.0-3_all.deb
Package name ruby-guard
Package version 2.15.0
Package release 3
Package architecture all
Package type deb
Category ruby
Homepage http://guardgem.org
License -
Maintainer Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Download size 43.88 KB
Installed size 219.00 KB
Guard automates various tasks by running custom rules whenever file or
directories are modified.
It's frequently used by software developers, web designers, writers and other
specialists to avoid mundane, repetitive actions and commands such as
"relaunching" tools after changing source files or configurations.
Features:
* File system changes handled by awesome Listen gem.
* Support for visual system notifications.
* Huge eco-system with more than 220 Guard plugins.
* Tested against Ruby 2.2.8, 2.3.5, 2.4.2, JRuby & Rubinius.

Alternatives

Package Version Architecture Repository
ruby-guard_2.15.0-3_all.deb 2.15.0 all Debian Main
ruby-guard - - -

Requires

Name Value
pry >= 0.12
ruby -
ruby-formatador >= 0.2.4
ruby-interpreter -
ruby-listen >= 2.7
ruby-listen << 4.0
ruby-lumberjack >= 1.0
ruby-nenv >= 0.1
ruby-notiffany -
ruby-shellany -
ruby-thor >= 0.18.1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ruby-guard_2.15.0-3_all.deb
Source Package ruby-guard

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-guard deb package:
    # sudo apt-get install ruby-guard

Files

Path
/usr/bin/guard
/usr/lib/ruby/vendor_ruby/guard.rb
/usr/lib/ruby/vendor_ruby/guard/_guard-core
/usr/lib/ruby/vendor_ruby/guard/aruba_adapter.rb
/usr/lib/ruby/vendor_ruby/guard/cli.rb
/usr/lib/ruby/vendor_ruby/guard/commander.rb
/usr/lib/ruby/vendor_ruby/guard/config.rb
/usr/lib/ruby/vendor_ruby/guard/dsl.rb
/usr/lib/ruby/vendor_ruby/guard/dsl_describer.rb
/usr/lib/ruby/vendor_ruby/guard/dsl_reader.rb
/usr/lib/ruby/vendor_ruby/guard/group.rb
/usr/lib/ruby/vendor_ruby/guard/guardfile.rb
/usr/lib/ruby/vendor_ruby/guard/interactor.rb
/usr/lib/ruby/vendor_ruby/guard/notifier.rb
/usr/lib/ruby/vendor_ruby/guard/options.rb
/usr/lib/ruby/vendor_ruby/guard/plugin.rb
/usr/lib/ruby/vendor_ruby/guard/plugin_util.rb
/usr/lib/ruby/vendor_ruby/guard/rake_task.rb
/usr/lib/ruby/vendor_ruby/guard/runner.rb
/usr/lib/ruby/vendor_ruby/guard/terminal.rb
/usr/lib/ruby/vendor_ruby/guard/ui.rb
/usr/lib/ruby/vendor_ruby/guard/version.rb
/usr/lib/ruby/vendor_ruby/guard/watcher.rb
/usr/lib/ruby/vendor_ruby/guard/cli/environments/bundler.rb
/usr/lib/ruby/vendor_ruby/guard/cli/environments/evaluate_only.rb
/usr/lib/ruby/vendor_ruby/guard/cli/environments/valid.rb
/usr/lib/ruby/vendor_ruby/guard/commands/all.rb
/usr/lib/ruby/vendor_ruby/guard/commands/change.rb
/usr/lib/ruby/vendor_ruby/guard/commands/notification.rb
/usr/lib/ruby/vendor_ruby/guard/commands/pause.rb
/usr/lib/ruby/vendor_ruby/guard/commands/reload.rb
/usr/lib/ruby/vendor_ruby/guard/commands/scope.rb
/usr/lib/ruby/vendor_ruby/guard/commands/show.rb
/usr/lib/ruby/vendor_ruby/guard/deprecated/dsl.rb
/usr/lib/ruby/vendor_ruby/guard/deprecated/evaluator.rb
/usr/lib/ruby/vendor_ruby/guard/deprecated/guard.rb
/usr/lib/ruby/vendor_ruby/guard/deprecated/guardfile.rb
/usr/lib/ruby/vendor_ruby/guard/deprecated/watcher.rb
/usr/lib/ruby/vendor_ruby/guard/guardfile/evaluator.rb
/usr/lib/ruby/vendor_ruby/guard/guardfile/generator.rb
/usr/lib/ruby/vendor_ruby/guard/internals/debugging.rb
/usr/lib/ruby/vendor_ruby/guard/internals/groups.rb
/usr/lib/ruby/vendor_ruby/guard/internals/helpers.rb
/usr/lib/ruby/vendor_ruby/guard/internals/plugins.rb
/usr/lib/ruby/vendor_ruby/guard/internals/queue.rb
/usr/lib/ruby/vendor_ruby/guard/internals/scope.rb
/usr/lib/ruby/vendor_ruby/guard/internals/session.rb
/usr/lib/ruby/vendor_ruby/guard/internals/state.rb
/usr/lib/ruby/vendor_ruby/guard/internals/tracing.rb
/usr/lib/ruby/vendor_ruby/guard/internals/traps.rb
/usr/lib/ruby/vendor_ruby/guard/jobs/base.rb
/usr/lib/ruby/vendor_ruby/guard/jobs/pry_wrapper.rb
/usr/lib/ruby/vendor_ruby/guard/jobs/sleep.rb
/usr/lib/ruby/vendor_ruby/guard/templates/Guardfile
/usr/lib/ruby/vendor_ruby/guard/ui/colors.rb
/usr/lib/ruby/vendor_ruby/guard/ui/config.rb
/usr/lib/ruby/vendor_ruby/guard/ui/logger.rb
/usr/lib/ruby/vendor_ruby/guard/watcher/pattern.rb
/usr/lib/ruby/vendor_ruby/guard/watcher/pattern/deprecated_regexp.rb
/usr/lib/ruby/vendor_ruby/guard/watcher/pattern/match_result.rb
/usr/lib/ruby/vendor_ruby/guard/watcher/pattern/matcher.rb
/usr/lib/ruby/vendor_ruby/guard/watcher/pattern/pathname_path.rb
/usr/lib/ruby/vendor_ruby/guard/watcher/pattern/simple_path.rb
/usr/lib/ruby/vendor_ruby/tasks/releaser.rb
/usr/share/doc/ruby-guard/README.md.gz
/usr/share/doc/ruby-guard/changelog.Debian.gz
/usr/share/doc/ruby-guard/changelog.gz
/usr/share/doc/ruby-guard/copyright
/usr/share/man/man1/guard.1.gz
/usr/share/rubygems-integration/all/specifications/guard-2.15.0.gemspec

Changelog

2019-04-29 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-guard (2.15.0-3) unstable; urgency=high
* add workarounds for cli inheriting from thor (Closes: #926826)
* set urgency=high due to RC bug fix.
2018-11-18 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-guard (2.15.0-2) unstable; urgency=medium
* depends pry (>= 0.12) (Closes:: #914003)
- d/p/compat_pry_0.11_input_array.patch: removed.
2018-11-17 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-guard (2.15.0-1) unstable; urgency=medium
* New upstream version 2.15.0
* d/rules: move _guard-core from /usr/bin to /usr/lib/ruby/vendor_ruby/guard.
* d/p/compat_pry_0.11_input_array.patch: new patch.
* Refresh patches.
* bump up Standards-Version 4.2.1
2018-03-03 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-guard (2.14.2-2) unstable; urgency=medium
* d/p/do_not_use_gem_bin_path.patch: use full path for _guard-core.
* eliminate lintian warning: insecure-copyright-format-url
* Move Vcs-* to salsa.debian.org
* Bump debhelper compatibility level to 11.
2018-01-04 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-guard (2.14.2-1) unstable; urgency=medium
* New upstream release.
* d/watch: watch github release instead of rubygem due to lacking specs.
* d/p/add_specs.patch: remove due to import upstream source with specs.
* d/p/do_not_use_git_ls-files.patch: do not use `git ls-files` in gemspec.
* refresh patch.
* bump up Standards-Version 4.1.3.
2017-11-28 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-guard (2.14.1-1) unstable; urgency=medium
* Initial release (Closes: #881992)

See Also

Package Description
ruby-guestfs_1.40.2-2_i386.deb guest disk image management system - Ruby bindings
ruby-gyoku_1.3.1-1_all.deb translates Ruby hashes to XML
ruby-haml-contrib_1.0.0.1-2_all.deb Elegant, structured XHTML/XML templating engine - addons
ruby-haml-rails_1.0.0-2_all.deb Haml Generator for Rails
ruby-haml_5.0.4-3_all.deb Elegant, structured XHTML/XML templating engine
ruby-hamlit_2.9.2-2_i386.deb high performance Haml implementation
ruby-hamster_3.0.0-2_all.deb Efficient, immutable, thread-safe collection classes for Ruby
ruby-handlebars-assets_0.23.3+dfsg-2_all.deb compile Handlebars templates in the Rails asset pipeline
ruby-hangouts-chat_0.0.5-2_all.deb Library for sending messages to Hangouts Chat rooms
ruby-hashdiff_0.2.3-1_all.deb library for computing the smallest difference between two hashes
ruby-hashery_2.1.2-1_all.deb facets-bread collection of Hash-like classes
ruby-hashie-forbidden-attributes_0.1.1-1_all.deb strong parameter detection with Hashie and Forbidden Attributes
ruby-hashie_3.5.5-2_all.deb small collection of tools that make hashes more powerful
ruby-hdfeos5_1.2-9+b1_i386.deb Ruby interface to the HDF-EOS5 library
ruby-health-check_2.6.0-1_all.deb Simple health check of Rails app for uptime monitoring
Advertisement
Advertisement